Subject: Re: bug#77439: [PATCH] Eglot: introduce eglot-show-diagnostics-source

From: Nicolás Ojeda Bär <[email-masked]>
Date: Fri, 4 Apr 2025 08:51:31 +0200

On Thu, Apr 3, 2025 at 10:51 AM João Távora <[email-masked]> wrote:
>
> But I'm very sorry if I'm going to disappoint you.  I've had a change of
> heart.  I was thinking about this, and I don't think this customization
> belongs in Eglot.  Instead, it belongs to Flymake.
>
> Applying your patch would violate the principle that Eglot as a medium
> between LSP and Emacs facilities should not withhold information from
> Emacs.

OK, makes sense. Give me a few days to chew on this and I'll get back here
once I have something. Thanks.

Cheers,
Nicolas